local file = io.open("bebad.txt", "r")
local str = file:read("*all")
file:close()

str = str:gsub("\13\10", "\10") -- convert win CRLF to unix LF

local font = TTFont.new("Roboto-Regular.ttf", 16)

--TextWrap2:init(text, areaWidth, areaHeight, lineSpacing,letterSpacing,align,font,mainColor,color1)
local tw = TextWrap2.new(str, 320, 480, 16,5,"center" , font,0x0000FF,0x11FC00)

stage:addChild(tw)

local y = 0
local sy = 0

local function onMouseDown(event)
	sy = event.y
end

local function onMouseMove(event)
	local dy = sy - event.y
	y = y + dy
	sy = event.y
	tw:setScrollPosition(0, y)
end

local function onMouseUp(event)

end

stage:addEventListener(Event.MOUSE_DOWN, onMouseDown)
stage:addEventListener(Event.MOUSE_MOVE, onMouseMove)
stage:addEventListener(Event.MOUSE_UP, onMouseUp)

local function onEnterFrame()
	--y = y + 0.5
	--tw:setScrollPosition(0, y)
end

stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)
